View Issue Details

IDProjectCategoryView StatusLast Update
0000130ascendcompilerpublic2008-02-10 13:05
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000130: BinTokenSetOptions should take const char* parameters
Descriptiontype.cpp: In member function `Instanc Type::getInstance(SymChar)':
type.cpp:103: error: invalid conversion from `const char*' to `char*'
type.cpp:103: error: initializing argument 1 of `int BinTokenSetOptions(char*, char*, char*, char*, char*, long unsigned int, int, int)'
type.cpp:103: error: invalid conversion from `const char*' to `char*'
type.cpp:103: error: initializing argument 2 of `int BinTokenSetOptions(char*, char*, char*, char*, char*, long unsigned int, int, int)'
type.cpp:103: error: invalid conversion from `const char*' to `char*'
type.cpp:103: error: initializing argument 3 of `int BinTokenSetOptions(char*, char*, char*, char*, char*, long unsigned int, int, int)'
type.cpp:103: error: invalid conversion from `const char*' to `char*'
type.cpp:103: error: initializing argument 4 of `int BinTokenSetOptions(char*, char*, char*, char*, char*, long unsigned int, int, int)'
type.cpp:103: error: invalid conversion from `const char*' to `char*'
type.cpp:103: error: initializing argument 5 of `int BinTokenSetOptions(char*, char*, char*, char*, char*, long unsigned int, int, int)'
TagsNo tags attached.

Relationships

related to 0000068 closedjohn Autogenerated C code fails to compile, problems with btprolog.h ? 

Activities

john

2005-11-15 04:12

administrator   ~0000041

Fixed with 0000068

Issue History

Date Modified Username Field Change
2005-11-08 15:58 john New Issue
2005-11-15 04:12 john Relationship added related to 0000068
2005-11-15 04:12 john Status new => resolved
2005-11-15 04:12 john Resolution open => fixed
2005-11-15 04:12 john Assigned To => john
2005-11-15 04:12 john Note Added: 0000041
2006-02-07 13:19 john Target release => 1.0
2008-02-10 13:05 john Status resolved => closed